Lavalite package that provides discount management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/discount`.

    "restaurant/discount": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Discount\Providers\DiscountServiceProvider::class,

And also add it to alias

    'Discount'  => Restaurant\Discount\Facades\Discount::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\DiscountTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Discount\Providers\DiscountServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Discount\Providers\DiscountServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Discount\Providers\DiscountServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/discount/{modulename}

**User**

    http://path-to-route-folder/user/discount/{modulename}

**Public**

    http://path-to-route-folder/discounts


### API endpoints

**List**

    http://path-to-route-folder/api/user/discount/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/discount/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/discount/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/discount/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/discount/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/discount/{modulename}/{slug}
    METHOD: GET