<?php

// web routes  for discount
Route::prefix('{guard}/discount')->group(function () {
    Route::resource('discount', 'DiscountResourceController');
});

// Public routes for discount
Route::get('discounts/', 'DiscountPublicController@index');
Route::get('discounts/{slug?}', 'DiscountPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DiscountResourceController');
            });
            // Public routes for pages
            Route::get('discounts/', 'DiscountPublicController@index');
            Route::get('discounts/{slug?}', 'DiscountPublicController@show');
        }
    );
}

