<?php

namespace Restaurant\Discount\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DiscountTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Discount\Models\Discount $discount)
    {
        return [
            'id'                => $discount->getRouteKey(),
            'key'               => [
                'public'    => $discount->getPublicKey(),
                'route'     => $discount->getRouteKey(),
            ], 
            'user_id'           => $discount->user_id,
            'user_type'         => $discount->user_type,
            'restaurant_id'     => $discount->restaurant_id,
            'menu_id'           => $discount->menu_id,
            'discount_percentage' => $discount->discount_percentage,
            'start_date'        => $discount->start_date,
            'end_date'          => $discount->end_date,
            'notification_status' => $discount->notification_status,
            'deleted_at'        => $discount->deleted_at,
            'url'               => [
                'public'    => trans_url('discount/'.$discount->getPublicKey()),
                'user'      => guard_url('discount/discount/'.$discount->getRouteKey()),
            ], 
            'status'            => trans('app.'.$discount->status),
            'created_at'        => format_date($discount->created_at),
            'updated_at'        => format_date($discount->updated_at),
        ];
    }
}